varying highp vec2 textureCoordinate;
varying highp vec2 textureCoordinate2;
varying highp vec2 textureCoordinate3;

uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;
uniform sampler2D inputImageTexture3;

void main()
{
    lowp vec4 bottomColor = texture2D(inputImageTexture, textureCoordinate);
    lowp vec4 topColor    = texture2D(inputImageTexture2, textureCoordinate2);
    lowp vec4 maskColor   = texture2D(inputImageTexture3, textureCoordinate3);
        
    lowp vec4 outColor;
    outColor.rgb = mix(bottomColor.rgb, topColor.rgb, maskColor.a);
    outColor.a = bottomColor.a;
    
    gl_FragColor = outColor;
}